package Luokat;

import java.util.HashMap;
import java.util.List;

public class LajiTulkki {
    private HashMap<Integer,String> lajit = new HashMap<>();

    public LajiTulkki(){
        lajit.put(1,"ahven");
        lajit.put(2,"kuha");
    }

    /**
     *
     * @param id mistä id:stä etsitään
     * @return lajin nimen merkkijonona
     *  @example
     * <pre name="test">
     *  LajiTulkki l = new LajiTulkki();
     *  l.getLajiFromId(1) === "ahven";
     *  l.getLajiFromId(2) === "kuha";
     * </pre>
     */
    public String getLajiFromId(int id){
        return lajit.get(id);
    }

    /**
     *
     * @param laji laji jonka Id:tä etsitään
     * @return palauttaa lajin id:n kokonaislukuna
     * @example
     * <pre name="test">
     *  LajiTulkki l = new LajiTulkki();
     *  l.getIdFromLaji("kuha") === 2;
     *  l.getIdFromLaji("ahven") === 1;
     *  l.getIdFromLaji("wmfwfow") === -1;
     * </pre>
     */
    public int getIdFromLaji(String laji){
        List<Integer> idt = lajit.keySet().stream().toList();
        for(Integer i : idt){
            if(lajit.get(i).equals(laji)){
                return i;
            }
        }
        return -1;
    }
}
